Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.taglibs.standard.tag.rt.fmt
Class FormatDateTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.apache.taglibs.standard.tag.common.fmt.FormatDateSupport
              org.apache.taglibs.standard.tag.rt.fmt.FormatDateTag

All Implemented Interfaces:
  Serializable, IterationTag, JspTag, Tag

    public class FormatDateTag

extends FormatDateSupport

A handler for <formatDate> that supports rtexprvalue-based attributes.

Author:
  Jan Luehe
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.taglibs.standard.tag.common.fmt.FormatDateSupport
`dateStyle, pattern, timeStyle, timeZone, type, value`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`FormatDateTag()`

Method Summary
`void` | `setDateStyle(String dateStyle)`
`void` | `setPattern(String pattern)`
`void` | `setTimeStyle(String timeStyle)`
`void` | `setTimeZone(Object timeZone)`
`void` | `setType(String type)`
`void` | `setValue(Date value)`

Methods inherited from class org.apache.taglibs.standard.tag.common.fmt.FormatDateSupport
`doEndTag, release, setScope, setVar`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doStartTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FormatDateTag

    public FormatDateTag()

Method Detail

### setValue

    public void setValue(Date value)
                  throws JspTagException

  Throws:
    `JspTagException`

### setType

    public void setType(String type)
                 throws JspTagException

  Throws:
    `JspTagException`

### setDateStyle

    public void setDateStyle(String dateStyle)
                      throws JspTagException

  Throws:
    `JspTagException`

### setTimeStyle

    public void setTimeStyle(String timeStyle)
                      throws JspTagException

  Throws:
    `JspTagException`

### setPattern

    public void setPattern(String pattern)
                    throws JspTagException

  Throws:
    `JspTagException`

### setTimeZone

    public void setTimeZone(Object timeZone)
                     throws JspTagException

  Throws:
    `JspTagException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.